classification
Title: DOCUMENTATION: "mmap .close()" doesn't close the underlying file
Type: behavior Stage: resolved
Components: Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Anoop.Thomas.Mathew, docs@python, jcea, orsenthil, python-dev
Priority: normal Keywords: easy, patch

Created on 2013-08-23 04:20 by jcea, last changed 2013-09-10 05:41 by orsenthil. This issue is now closed.

Files
File name Uploaded Description Edit
mmap_close_documentation.patch Anoop.Thomas.Mathew, 2013-09-08 21:25 mmap close documentation patch review
Messages (4)
msg195939 - (view) Author: Jesús Cea Avión (jcea) * (Python committer) Date: 2013-08-23 04:20
In documentation http://docs.python.org/3.3/library/mmap.html#mmap.close you can read: "Close the file". I could interpret that it is going to close the file vinculated to the MMAP. But it doesn't. It only close the MMAP object (as it should).

Please, update doc to clear possible misunderstandings. Thanks.
msg197324 - (view) Author: Anoop Thomas Mathew (Anoop.Thomas.Mathew) * Date: 2013-09-08 21:25
Made it explicit that close() will close only the mmap, and file will not be closed. Patch attached.
msg197422 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-09-10 05:40
New changeset 443d12b61e5b by Senthil Kumaran in branch '2.7':
Clarify mmap.close method  behavior.  Addresses issue  #18815
http://hg.python.org/cpython/rev/443d12b61e5b

New changeset 373907ca13e0 by Senthil Kumaran in branch '3.3':
Clarify mmap.close method  behavior.  Addresses issue  #18815
http://hg.python.org/cpython/rev/373907ca13e0

New changeset 377bd6e0f61c by Senthil Kumaran in branch 'default':
merge from 3.3
http://hg.python.org/cpython/rev/377bd6e0f61c
msg197423 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2013-09-10 05:41
This is addressed. Thanks for the patch, Anoop.
History
Date User Action Args
2013-09-10 05:41:08orsenthilsetstatus: open -> closed

type: behavior

nosy: + orsenthil
messages: + msg197423
resolution: fixed
stage: resolved
2013-09-10 05:40:21python-devsetnosy: + python-dev
messages: + msg197422
2013-09-08 21:25:23Anoop.Thomas.Mathewsetfiles: + mmap_close_documentation.patch

nosy: + Anoop.Thomas.Mathew
messages: + msg197324

keywords: + patch
2013-08-23 04:20:01jceacreate